Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113718 - rust-termwiz: FTBFS in Fedora rawhide/f37
Summary: rust-termwiz: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rust-termwiz
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Davide Cavalca
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-02 00:15 UTC by Fedora Release Engineering
Modified: 2023-05-29 18:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-05-29 18:08:48 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-02 00:16 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-02 00:16 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-02 00:16 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-02 00:15:59 UTC
rust-termwiz failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89914971


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix rust-termwiz at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rust-termwiz will be orphaned. Before branching of Fedora 38,
rust-termwiz will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-02 00:16:02 UTC
Created attachment 1902573 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-08-02 00:16:03 UTC
Created attachment 1902574 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-02 00:16:05 UTC
Created attachment 1902575 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:33:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Fabio Valentini 2022-08-20 13:40:27 UTC
Looks like this package was never successfully built at all?

Comment 6 Davide Cavalca 2022-09-02 04:44:23 UTC
This has a bunch of missing dependencies that need to be sorted out first (see https://bugzilla.redhat.com/show_bug.cgi?id=1984198)

Comment 7 Fabio Valentini 2022-09-02 20:45:48 UTC
If the package can't be built, it shouldn't have been approved ...

Comment 8 Davide Cavalca 2022-09-03 15:56:24 UTC
So what happened for this one (and a couple other rust packages I put up) is that by the time I went to import them, upstream had already published a new release, which added additional dependencies, so I waited till those became available. In hindsight, I probably should have just imported the approved version and dealt with the upgrade later.

Comment 9 Fabio Valentini 2023-05-29 18:08:48 UTC
Package has been fixed in f38+.


Note You need to log in before you can comment on or make changes to this bug.